summaryrefslogtreecommitdiff
path: root/packaging/RedHat/smb.init
diff options
context:
space:
mode:
authorJohn Terpstra <jht@samba.org>1998-08-21 14:20:38 +0000
committerJohn Terpstra <jht@samba.org>1998-08-21 14:20:38 +0000
commitc8f34dac393efcf4823736c9f804ac1412556cb9 (patch)
tree55e1cefcd8b760f104c76b32945e86172f124d59 /packaging/RedHat/smb.init
parent038e3433d39337f736b7b69ac1e6212e9f8e5406 (diff)
downloadsamba-c8f34dac393efcf4823736c9f804ac1412556cb9.tar.gz
samba-c8f34dac393efcf4823736c9f804ac1412556cb9.tar.bz2
samba-c8f34dac393efcf4823736c9f804ac1412556cb9.zip
Adding first cut of the new Red Hat Linux packaging tools.
Note: It is intended to extend this so that the release process produces all the packaging scripts, templates, etc. that may be needed. (This used to be commit 6e196841c618044d33da45d3de5371004a58e4c6)
Diffstat (limited to 'packaging/RedHat/smb.init')
-rwxr-xr-xpackaging/RedHat/smb.init49
1 files changed, 49 insertions, 0 deletions
diff --git a/packaging/RedHat/smb.init b/packaging/RedHat/smb.init
new file mode 100755
index 0000000000..6529977d23
--- /dev/null
+++ b/packaging/RedHat/smb.init
@@ -0,0 +1,49 @@
+#!/bin/sh
+#
+# chkconfig: 345 91 35
+# description: Starts and stops the Samba smbd and nmbd daemons \
+# used to provide SMB network services.
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+# Source networking configuration.
+. /etc/sysconfig/network
+
+# Check that networking is up.
+[ ${NETWORKING} = "no" ] && exit 0
+
+# Check that smb.conf exists.
+[ -f /etc/smb.conf ] || exit 0
+
+# See how we were called.
+case "$1" in
+ start)
+ echo -n "Starting SMB services: "
+ daemon smbd -D
+ daemon nmbd -D
+ echo
+ touch /var/lock/subsys/smb
+ ;;
+ stop)
+ echo -n "Shutting down SMB services: "
+ killproc smbd
+ killproc nmbd
+ rm -f /var/lock/subsys/smb
+ echo ""
+ ;;
+ status)
+ status smbd
+ status nmbd
+ ;;
+ restart)
+ echo -n "Restarting SMB services: "
+ $0 stop
+ $0 start
+ echo "done."
+ ;;
+ *)
+ echo "Usage: smb {start|stop|restart|status}"
+ exit 1
+esac
+